/*==========================================================================*\
|                                                                            |
| Devices.h                                                                  |
|                                                                            |
| Device Function Prototypes and Definitions                                 |
| FLASH programming.                                                         |
|----------------------------------------------------------------------------|
| Project:              MSP430 Replicator                                    |
| Developed using:      IAR Embedded Workbench 3.40B [Kickstart]             |
|----------------------------------------------------------------------------|
| Author:               LUT                                                  |
| Version:              1.0                                                  |
| Initial Version:      02-08-06                                             |
| Last Change:          __-__-__                                             |
|----------------------------------------------------------------------------|
| Version history:                                                           |
| 1.0 02/06 LUT         Initial version.                                     |
|----------------------------------------------------------------------------|
| Designed 2005 by Texas Instruments Germany                                 |
\*==========================================================================*/

#ifndef _DEVICES_H_
#define _DEVICES_H_

#ifndef __BYTEWORD__
#define __BYTEWORD__
typedef unsigned int  word;
typedef unsigned char byte;
#endif

typedef unsigned char  bool;
#define TRUE          1
#define FALSE         0

//void SetDevice(word wDeviceId);
bool SetDevice(word wDeviceId);
bool DeviceHas_TestPin(void);
bool DeviceHas_CpuX(void);
bool DeviceHas_DataQuick(void);
bool DeviceHas_FastFlash(void);
bool DeviceHas_EnhVerify(void);
bool DeviceHas_JTAG(void);
bool DeviceHas_SpyBiWire(void);

// Constants for flash erasing modes
#define ERASE_GLOB                 0xA50E // main & info of ALL      mem arrays
#define ERASE_ALLMAIN              0xA50C // main        of ALL      mem arrays
#define ERASE_MASS                 0xA506 // main & info of SELECTED mem arrays
#define ERASE_MAIN                 0xA504 // main        of SELECTED mem arrays
#define ERASE_SGMT                 0xA502 // SELECTED segment

#endif
